
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/polyfills-legacy.DI3MrRtV.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/app-legacy.DrhlH74F.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/page-OnePage-legacy.DuGdp_jN.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/DeliveryMethodSelectorSection-legacy.hoVUSIaO.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useEditorShopPayNavigation-legacy.p7BhBFZw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/VaultedPayment-legacy.DSM3xaTW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/LocalizationExtensionField-legacy.DcP-xiAJ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/ShopPayOptInDisclaimer-legacy.CtJ1b_50.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/RememberMeDescriptionText-legacy.DAERoMPA.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/UnavailableInBuyerLocationBanner-legacy.CVyQmOlr.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/PayButtonSection-legacy.BXQotUpW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/component-ShopPayVerificationSwitch-legacy.soPTLqKM.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useSubscribeMessenger-legacy.rTKIYRmn.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/index-legacy.CcLEUgvS.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  